// Imports
@use "variables" as var;

// Actual Styling
:host(.map-display) {
  background-color: var(--light-background-default-grey, #fff);
  padding: var.$default-padding 24px 24px;
  border-radius: 4px;
  box-shadow: 0 6px 18px 0 rgba(0, 0, 18, 0.16);

  .filter {
    margin-bottom: 24px;

    &:last-child {
      margin-bottom: 0;
    }
  }
}

h1 {
  margin-bottom: 32px;
}

.filter {
  margin-bottom: 24px;

  h2 {
    font-size: 16px;
    line-height: 24px;
    color: var(--text-title-grey);
    margin-bottom: var.$default-margin;
  }

  p {
    color: var(--text-label-grey);
  }

  dsfr-tag {
    margin-bottom: 8px;
    display: inline-block;

    &:not(:last-child) {
      margin-right: 8px;
    }
  }
}

.geographic-filter {
  margin-bottom: var.$default-margin;

  > div {
    margin-bottom: 8px;
  }
}
